Bug 60860 - 2.4.9-24 RAID oops
2.4.9-24 RAID oops
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-07 18:12 EST by Elliot Lee
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-29 23:23:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the raidtab in question. (241 bytes, text/plain)
2002-03-07 18:12 EST, Elliot Lee
no flags Details
ksymoops output (5.14 KB, text/plain)
2002-03-07 18:13 EST, Elliot Lee
no flags Details

  None (edit)
Description Elliot Lee 2002-03-07 18:12:06 EST
See attached raidtab and ksymoops report.

I know this appears odd, but I need nested one-device RAID array for testing
purposes, and the kernel just shouldn't oops like this.

kernel is 2.4.9-24
Comment 1 Elliot Lee 2002-03-07 18:12:40 EST
Created attachment 47802 [details]
the raidtab in question.
Comment 2 Elliot Lee 2002-03-07 18:13:40 EST
Created attachment 47803 [details]
ksymoops output
Comment 3 Elliot Lee 2002-03-07 18:14:50 EST
To reproduce, copy the raidtab in place (and modify for local system as needed),
then do:

  mkraid /dev/md0
  mkraid /dev/md1
Comment 4 Arjan van de Ven 2002-03-08 09:25:51 EST
Hmm it seems the kernel doesn't like a raid1 of only 1 disk
which architecture is this btw ?
Comment 5 Elliot Lee 2002-03-08 10:30:12 EST
It's not a RAID1 of one disk (which seems to work), but a RAID1 of one RAID1 -
the oops only happens after you do the second mkraid.

alpha arch.
Comment 6 Elliot Lee 2003-10-24 13:52:58 EDT
Please process this old bug.

Note You need to log in before you can comment on or make changes to this bug.